curl --request POST \
--url 'https://api.workstream.stateset.com/v1/bootstrap/brands' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"slug": "acme-outdoors",
"display_name": "Ada Lovelace",
"routing_mode": "string",
"metadata": {},
"template": "string",
"activate": true,
"min_golden_pass_rate": 7.5
}'
{
"brand": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"slug": "acme-outdoors",
"display_name": "Ada Lovelace",
"status": "pending",
"routing_mode": "string",
"canary_percent": 8,
"region": "CA",
"default_locale": "string",
"policy_set_key": "string",
"quotas": {},
"metadata": {},
"config_version": 1,
"config_fingerprint": "string",
"activated_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z",
"workflow_bindings": [
{
"workflow_type": null,
"template_key": null,
"template_version": null,
"task_queue": null,
"enabled": null,
"deterministic_config": null
}
]
},
"validation": {
"valid": true,
"errors": [
"string"
],
"warnings": [
"string"
],
"checks": [
{
"code": null,
"ok": null,
"message": null
}
],
"readiness": {
"activation_ready": true,
"self_service_ready": true,
"summary": "Two-person tent, green — replacement for damaged pole set.",
"steps": []
}
},
"created": true,
"binding_bootstrapped": true,
"activated": true,
"template_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Bootstrap brand
Brand bootstrapped (created or reused), validated and optionally activated.
POST
/
v1
/
bootstrap
/
brands
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/bootstrap/brands' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"slug": "acme-outdoors",
"display_name": "Ada Lovelace",
"routing_mode": "string",
"metadata": {},
"template": "string",
"activate": true,
"min_golden_pass_rate": 7.5
}'
{
"brand": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"slug": "acme-outdoors",
"display_name": "Ada Lovelace",
"status": "pending",
"routing_mode": "string",
"canary_percent": 8,
"region": "CA",
"default_locale": "string",
"policy_set_key": "string",
"quotas": {},
"metadata": {},
"config_version": 1,
"config_fingerprint": "string",
"activated_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z",
"workflow_bindings": [
{
"workflow_type": null,
"template_key": null,
"template_version": null,
"task_queue": null,
"enabled": null,
"deterministic_config": null
}
]
},
"validation": {
"valid": true,
"errors": [
"string"
],
"warnings": [
"string"
],
"checks": [
{
"code": null,
"ok": null,
"message": null
}
],
"readiness": {
"activation_ready": true,
"self_service_ready": true,
"summary": "Two-person tent, green — replacement for damaged pole set.",
"steps": []
}
},
"created": true,
"binding_bootstrapped": true,
"activated": true,
"template_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Request body
object
Response
object
Brand record
Show brand
Show brand
Status codes
| Code | Meaning |
|---|---|
200 | Brand bootstrapped (created or reused), validated and optionally activated. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/bootstrap/brands' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"slug": "acme-outdoors",
"display_name": "Ada Lovelace",
"routing_mode": "string",
"metadata": {},
"template": "string",
"activate": true,
"min_golden_pass_rate": 7.5
}'
{
"brand": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"slug": "acme-outdoors",
"display_name": "Ada Lovelace",
"status": "pending",
"routing_mode": "string",
"canary_percent": 8,
"region": "CA",
"default_locale": "string",
"policy_set_key": "string",
"quotas": {},
"metadata": {},
"config_version": 1,
"config_fingerprint": "string",
"activated_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z",
"workflow_bindings": [
{
"workflow_type": null,
"template_key": null,
"template_version": null,
"task_queue": null,
"enabled": null,
"deterministic_config": null
}
]
},
"validation": {
"valid": true,
"errors": [
"string"
],
"warnings": [
"string"
],
"checks": [
{
"code": null,
"ok": null,
"message": null
}
],
"readiness": {
"activation_ready": true,
"self_service_ready": true,
"summary": "Two-person tent, green — replacement for damaged pole set.",
"steps": []
}
},
"created": true,
"binding_bootstrapped": true,
"activated": true,
"template_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Last modified on August 31, 2026